package yi.iu.imgdb.desc.gui;

import java.util.*;


/**
 * Used by MultiSelectPanel.  A SelectionEvent event will be generated when the
 * selection in a MultiSelectPanel is changed (selected, unselected, removed)
 */

public interface SelectionListener extends EventListener {
  public void selectionSelected(SelectionEvent e, String selection);
  public void selectionUnselected(SelectionEvent e, String selection);
  public void selectionRemoved(SelectionEvent e, String selection);
}